Package: org.gradle.api.tasks.diagnostics

## [Java] Class DependencyReportTask

- org.gradle.api.tasks.diagnostics.DependencyReportTask

- Displays the dependency tree for a project. An instance of this type is used when you execute the `dependencies` task from the command-line.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `generate(Project project)`
    `Set<Configuration>` | `getConfigurations()` Returns the configurations to generate the report for.
    `ReportRenderer` | `getRenderer()`
    `void` | `setConfiguration(String configurationName)` Sets the single configuration (by name) to generate the report for.
    `void` | `setConfigurations(Set<Configuration> configurations)` Sets the configurations to generate the report for.
    `void` | `setRenderer(DependencyReportRenderer renderer)` Set the renderer to use to build a report.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReportTask` | `generate, generate, getOutputFile, getProjects, getRenderer, getTextOutputFactory, setOutputFile, setProjects`

- - ### Method Detail

    - #### public void generate(Project project)

    - #### public Set<Configuration> getConfigurations()

      Returns the configurations to generate the report for. Defaults to all configurations of this task's containing project.

      Returns:
        the configurations.

    - #### public ReportRenderer getRenderer()

    - #### @Option(option = "configuration", description = "The configuration to generate the report for.") public void setConfiguration(String configurationName)

      Sets the single configuration (by name) to generate the report for.

      Parameters:
        `configurationName` - name of the configuration to generate the report for

    - #### public void setConfigurations(Set<Configuration> configurations)

      Sets the configurations to generate the report for.

      Parameters:
        `configurations` - The configuration. Must not be null.

    - #### public void setRenderer(DependencyReportRenderer renderer)

      Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.